## org.eclipse.emf.databinding
Class EMFObservables

    java.lang.Object
      org.eclipse.emf.databinding.EMFObservables

    public class EMFObservables

extends java.lang.Object

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Constructor Summary
`EMFObservables()`

Method Summary
`static IObservableFactory` `listFactory(Realm realm, EStructuralFeature eStructuralFeature)` Returns a factory for creating observable lists tracking the value of the given feature of a particular `object`.
`static IObservableFactory` `mapFactory(EStructuralFeature eStructuralFeature)` Returns a factory for creating observable maps tracking the value of the given feature of a particular `object`.
`static IObservableList` `observeDetailList(Realm realm, IObservableValue value, EStructuralFeature eStructuralFeature)` Returns an observable list that tracks the current value of the feature of the current value of the master observable value.
`static IObservableValue` `observeDetailValue(Realm realm, IObservableValue value, EStructuralFeature eStructuralFeature)` Returns an observable value that tracks the current value of the feature of the current value of the master observable value.
`static IObservableList` `observeList(EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable list for the given multi-valued feature of the object.
`static IObservableList` `observeList(Realm realm, EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable list for the given multi-valued feature of the object.
`static IObservableMap` `observeMap(IObservableSet objects, EStructuralFeature eStructuralFeature)` Returns an observable map in the default realm tracking the current value of the given feature for each object in the given set.
`static IObservableMap[]` `observeMaps(IObservableSet objects, EStructuralFeature[] eStructuralFeatures)` Returns an array of observable maps in the default realm tracking the current value of the given features for each object in the given set.
`static IObservableValue` `observeValue(EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable value for the given feature of the object.
`static IObservableValue` `observeValue(Realm realm, EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable value for the given feature of the object.
`static IObservableFactory` `valueFactory(Realm realm, EStructuralFeature eStructuralFeature)` Returns a factory for creating observable values tracking the value of the given feature of a particular `object`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFObservables

    public EMFObservables()

Method Detail

### observeValue

    public static IObservableValue observeValue(EObject eObject,
                                                EStructuralFeature eStructuralFeature)

  Returns an observable value for the given feature of the object.

  Parameters:
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable value for the given feature of the object.

### observeValue

    public static IObservableValue observeValue(Realm realm,
                                                EObject eObject,
                                                EStructuralFeature eStructuralFeature)

  Returns an observable value for the given feature of the object.

  Parameters:
    `realm` - the realm in which to observe.
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable value for the given feature of the object.

### observeList

    public static IObservableList observeList(EObject eObject,
                                              EStructuralFeature eStructuralFeature)

  Returns an observable list for the given multi-valued feature of the object.

  Parameters:
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable list for the given multi-valued feature of the object.

### observeList

    public static IObservableList observeList(Realm realm,
                                              EObject eObject,
                                              EStructuralFeature eStructuralFeature)

  Returns an observable list for the given multi-valued feature of the object.

  Parameters:
    `realm` - the realm in which to observe.
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable list for the given multi-valued feature of the object.

### observeMap

    public static IObservableMap observeMap(IObservableSet objects,
                                            EStructuralFeature eStructuralFeature)

  Returns an observable map in the default realm tracking the current value of the given feature for each object in the given set.

  Parameters:
    `objects` - the objects to track.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable map tracking the current value of the given feature for each object in the given set.

### observeMaps

    public static IObservableMap[] observeMaps(IObservableSet objects,
                                               EStructuralFeature[] eStructuralFeatures)

  Returns an array of observable maps in the default realm tracking the current value of the given features for each object in the given set.

  Parameters:
    `objects` - the objects to track.
    `eStructuralFeatures` - the features for which to track the value.
  Returns:
    an array of observable maps tracking the current value of the given features for each object in the given set.

### observeDetailValue

    public static IObservableValue observeDetailValue(Realm realm,
                                                      IObservableValue value,
                                                      EStructuralFeature eStructuralFeature)

  Returns an observable value that tracks the current value of the feature of the current value of the master observable value.

  Parameters:
    `realm` - the realm in which to observe.
    `value` - the master observable value.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable value that tracks the current value of the named property for the current value of the master observable value
  See Also:
    `MasterDetailObservables.detailValue(IObservableValue, IObservableFactory, Object)`

### valueFactory

    public static IObservableFactory valueFactory(Realm realm,
                                                  EStructuralFeature eStructuralFeature)

  Returns a factory for creating observable values tracking the value of the given feature of a particular `object`.

  Parameters:
    `realm` - the realm in which to observe.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable factory.

### observeDetailList

    public static IObservableList observeDetailList(Realm realm,
                                                    IObservableValue value,
                                                    EStructuralFeature eStructuralFeature)

  Returns an observable list that tracks the current value of the feature of the current value of the master observable value.

  Parameters:
    `realm` - the realm in which to observe.
    `value` - the master observable value.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable value that tracks the current value of the named property for the current value of the master observable value
  See Also:
    `MasterDetailObservables.detailList(IObservableValue, IObservableFactory, Object)`

### listFactory

    public static IObservableFactory listFactory(Realm realm,
                                                 EStructuralFeature eStructuralFeature)

  Returns a factory for creating observable lists tracking the value of the given feature of a particular `object`.

  Parameters:
    `realm` - the realm in which to observe.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable factory.

### mapFactory

    public static IObservableFactory mapFactory(EStructuralFeature eStructuralFeature)

  Returns a factory for creating observable maps tracking the value of the given feature of a particular `object`.

  Parameters:
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.